Skip to main content
GET
/
pipeline-data
/
quality_events
/
aggregate
Aggregate quality event counts
curl --request GET \
  --url https://acusight.io/api/pipeline-data/quality_events/aggregate \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://acusight.io/api/pipeline-data/quality_events/aggregate"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://acusight.io/api/pipeline-data/quality_events/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "aggregations": [
    {
      "count": 123,
      "defect_code": "<string>",
      "disposition": "<string>",
      "part_number": "<string>",
      "source": "<string>"
    }
  ],
  "end_time": "<string>",
  "start_time": "<string>",
  "total_events": 123
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Query Parameters

start
string
required

RFC3339 start timestamp (inclusive)

end
string
required

RFC3339 end timestamp (exclusive)

group_by
string

Set to 'part_number' to add a part_number dimension

Response

OK

aggregations
object[]
end_time
string
start_time
string
total_events
integer